<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<sect1 id="ch-tools-linux-headers" role="wrap">
  <?dbhtml filename="linux-headers.html"?>

  <sect1info condition="script">
    <productname>linux</productname>
    <productnumber>&linux-version;</productnumber>
    <address>&linux-url;</address>
  </sect1info>

  <title>Linux-&linux-version; API 头文件</title>

  <indexterm zone="ch-tools-linux-headers">
    <primary sortas="a-Linux">Linux</primary>
    <secondary>tools, API headers</secondary>
  </indexterm>

  <sect2 role="package">
    <title/>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
    href="../chapter06/linux-headers.xml"
    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>

    <segmentedlist>
      <segtitle>&buildtime;</segtitle>
      <segtitle>&diskspace;</segtitle>

      <seglistitem>
        <seg>&linux-headers-ch5-sbu;</seg>
        <seg>&linux-headers-ch5-du;</seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

  <sect2 role="installation">
    <title>安装 Linux API 头文件</title>

    <!--para>The Linux kernel needs to expose an Application Programming Interface
    (API) for the system's C library (Glibc in LFS) to use.  This is done
    by way of sanitizing various C header files that are shipped in the Linux
    kernel source tarball.</para-->
    <para>Linux 内核需要展示其应用程序编程接口 (API) 以供系统 C 运行库
		（对于 LFS 来说就是 Glibc） 使用。
		通过净化 Linux 内核源代码压缩包中的一些 C 头文件就可以做到这点。
	</para>

    <para>确保软件包中没有陈旧的文件：</para>

<screen><userinput remap="pre">make mrproper</userinput></screen>

    <!--para>Now extract the user-visible kernel headers from the source.
    They are placed in an intermediate local directory and copied to the needed
    location because the extraction process removes any existing files in
    the target directory.</para-->
    <para>下面从源代码中提取用户可见的头文件。
		它们被临时放置在一个本地目录中，然后复制到正确的位置，
		因为提取过程会删除目标目录中的所有文件。</para>

<screen><userinput remap="make">make INSTALL_HDR_PATH=dest headers_install
</userinput><userinput remap="install">cp -rv dest/include/* /tools/include</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title/>

    <para>这个软件包的详细信息可以在
    <xref linkend="contents-linux-headers"/> 中找到。</para>

  </sect2>

</sect1>
